## xfsprogs 2.8.10-1

=== db/Makefile ===
#
# Copyright (c) 2000-2005 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_db

HFILES = addr.h agf.h agfl.h agi.h attr.h attrshort.h bit.h block.h bmap.h \
	bmapbt.h bmroot.h bnobt.h check.h cntbt.h command.h convert.h \
	dbread.h debug.h dir.h dir2.h dir2sf.h dirshort.h dquot.h echo.h \
	faddr.h field.h flist.h fprint.h frag.h freesp.h hash.h help.h \
	init.h inobt.h inode.h input.h io.h malloc.h output.h \
	print.h quit.h sb.h sig.h strvec.h text.h type.h write.h \
	attrset.h
CFILES = $(HFILES:.h=.c)
LSRCFILES = xfs_admin.sh xfs_check.sh xfs_ncheck.sh
LLDLIBS	= $(LIBXFS) $(LIBXLOG) $(LIBUUID) $(LIBRT)
LTDEPENDENCIES = $(LIBXFS) $(LIBXLOG)
LLDFLAGS += -static

ifeq ($(ENABLE_READLINE),yes)
LLDLIBS += $(LIBREADLINE) $(LIBTERMCAP)
CFLAGS += -DENABLE_READLINE
endif

ifeq ($(ENABLE_EDITLINE),yes)
LLDLIBS += $(LIBEDITLINE) $(LIBTERMCAP)
CFLAGS += -DENABLE_EDITLINE
endif

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
	$(INSTALL) -m 755 xfs_admin.sh $(PKG_BIN_DIR)/xfs_admin
	$(INSTALL) -m 755 xfs_check.sh $(PKG_BIN_DIR)/xfs_check
	$(INSTALL) -m 755 xfs_ncheck.sh $(PKG_BIN_DIR)/xfs_ncheck
install-dev:

=== growfs/Makefile ===
#
# Copyright (c) 2000-2001,2004-2005 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_growfs

CFILES = xfs_growfs.c

LLDLIBS = $(LIBXFS) $(LIBXCMD) $(LIBUUID) $(LIBRT)
LTDEPENDENCIES = $(LIBXFS) $(LIBXCMD)
LLDFLAGS = -static
LSRCFILES = xfs_info.sh

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
	$(INSTALL) -m 755 xfs_info.sh $(PKG_BIN_DIR)/xfs_info
install-dev:

=== include/Makefile ===
#
# Copyright (c) 2000-2006 Silicon Graphics, Inc.
# All Rights Reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write the Free Software Foundation,
# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

HFILES = cache.h handle.h jdm.h libxfs.h libxlog.h list.h parent.h xfs.h xqm.h \
	xfs_ag.h xfs_alloc.h xfs_alloc_btree.h xfs_arch.h xfs_attr_leaf.h \
	xfs_attr_sf.h xfs_bit.h xfs_bmap.h xfs_bmap_btree.h xfs_btree.h \
	xfs_buf_item.h xfs_da_btree.h xfs_dfrag.h xfs_dinode.h \
	xfs_dir2.h xfs_dir2_block.h xfs_dir2_data.h xfs_dir2_leaf.h \
	xfs_dir2_node.h xfs_dir2_sf.h xfs_dir_leaf.h xfs_dir_sf.h \
	xfs_extfree_item.h xfs_fs.h xfs_ialloc.h xfs_ialloc_btree.h \
	xfs_imap.h xfs_inode.h xfs_inode_item.h xfs_inum.h \
	xfs_log.h xfs_log_priv.h xfs_log_recover.h xfs_mount.h xfs_quota.h \
	xfs_rtalloc.h xfs_sb.h xfs_trans.h xfs_trans_space.h xfs_types.h

HFILES += $(PKG_PLATFORM).h swab.h
PHFILES = darwin.h freebsd.h irix.h linux.h
DKHFILES = volume.h fstyp.h dvh.h
LSRCFILES = $(shell echo $(PHFILES) | sed -e "s/$(PKG_PLATFORM).h//g")
LSRCFILES += platform_defs.h.in builddefs.in buildmacros buildrules $(DKHFILES)
LSRCFILES += command.h input.h path.h project.h
LDIRT = xfs disk

default install :
	rm -f xfs disk
	$(LN_S) . xfs
	$(LN_S) . disk

include $(BUILDRULES)

install-dev: default
	$(INSTALL) -m 755 -d $(PKG_INC_DIR)
	$(INSTALL) -m 644 $(HFILES) $(PKG_INC_DIR)
	$(INSTALL) -m 644 platform_defs.h $(PKG_INC_DIR)
	$(INSTALL) -m 755 -d $(DK_INC_DIR)
	$(INSTALL) -m 644 $(DKHFILES) $(DK_INC_DIR)

=== libxfs/Makefile ===
#
# Copyright (c) 2000-2006 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libxfs.la
LT_CURRENT = 0
LT_REVISION = 0
LT_AGE = 0

HFILES = xfs.h init.h
CFILES = bit.c cache.c init.c lio.c logitem.c rdwr.c trans.c util.c \
	xfs_alloc.c xfs_ialloc.c xfs_rtalloc.c \
	xfs_inode.c xfs_btree.c xfs_alloc_btree.c xfs_ialloc_btree.c \
	xfs_bmap_btree.c xfs_da_btree.c xfs_dir.c xfs_dir_leaf.c \
	xfs_dir2.c xfs_dir2_leaf.c xfs_attr_leaf.c xfs_dir2_block.c \
	xfs_dir2_node.c xfs_dir2_data.c xfs_dir2_sf.c xfs_bmap.c \
	xfs_mount.c xfs_trans.c xfs_attr.c

CFILES += $(PKG_PLATFORM).c
PCFILES = darwin.c freebsd.c irix.c linux.c
LSRCFILES = $(shell echo $(PCFILES) | sed -e "s/$(PKG_PLATFORM).c//g")

#
# Tracing flags:
# -DIO_DEBUG		reads and writes of buffers
# -DMEM_DEBUG		all zone memory use
# -DLI_DEBUG		log item (ino/buf) manipulation
# -DXACT_DEBUG		transaction state changes
#
#LCFLAGS +=

FCFLAGS = -I.

# don't try linking xfs_repair with a debug libxfs.
DEBUG = -DNDEBUG

default:  $(LTLIBRARY)

include $(BUILDRULES)

install: default

install-dev: default
	$(INSTALL_LTLIB_STATIC)

=== logprint/Makefile ===
#
# Copyright (c) 2000-2001,2004 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_logprint

HFILES = logprint.h
CFILES = logprint.c \
	 log_copy.c log_dump.c log_misc.c \
	 log_print_all.c log_print_trans.c

LLDLIBS	= $(LIBXFS) $(LIBXLOG) $(LIBUUID) $(LIBRT)
LTDEPENDENCIES = $(LIBXFS) $(LIBXLOG)
LLDFLAGS = -static

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev:

=== po/Makefile ===
#
# Copyright (c) 2001-2003 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

POTHEAD = $(PKG_NAME).pot
LINGUAS = pl
LSRCFILES = $(LINGUAS:%=%.po) $(POTHEAD)
LDIRT = $(POTHEAD)

# TODO: db/ logprint/
XGETTEXTFILES =	\
		$(TOPDIR)/copy/xfs_copy.c \
		$(TOPDIR)/growfs/xfs_growfs.c \
		$(TOPDIR)/io/attr.c \
		$(TOPDIR)/io/bmap.c \
		$(TOPDIR)/io/fadvise.c \
		$(TOPDIR)/io/file.c \
		$(TOPDIR)/io/freeze.c \
		$(TOPDIR)/io/fsync.c \
		$(TOPDIR)/io/getrusage.c \
		$(TOPDIR)/io/imap.c \
		$(TOPDIR)/io/init.c \
		$(TOPDIR)/io/inject.c \
		$(TOPDIR)/io/madvise.c \
		$(TOPDIR)/io/mincore.c \
		$(TOPDIR)/io/mmap.c \
		$(TOPDIR)/io/open.c \
		$(TOPDIR)/io/parent.c \
		$(TOPDIR)/io/pread.c \
		$(TOPDIR)/io/prealloc.c \
		$(TOPDIR)/io/pwrite.c \
		$(TOPDIR)/io/resblks.c \
		$(TOPDIR)/io/sendfile.c \
		$(TOPDIR)/io/shutdown.c \
		$(TOPDIR)/io/truncate.c \
		$(TOPDIR)/libdisk/dm.c \
		$(TOPDIR)/libdisk/drivers.c \
		$(TOPDIR)/libdisk/evms.c \
		$(TOPDIR)/libdisk/fstype.c \
		$(TOPDIR)/libdisk/lvm.c \
		$(TOPDIR)/libdisk/md.c \
		$(TOPDIR)/libdisk/pttype.c \
		$(TOPDIR)/libdisk/xvm.c \
		$(TOPDIR)/libxcmd/command.c \
		$(TOPDIR)/libxcmd/help.c \
		$(TOPDIR)/libxcmd/input.c \
		$(TOPDIR)/libxcmd/paths.c \
		$(TOPDIR)/libxcmd/projects.c \
		$(TOPDIR)/libxcmd/quit.c \
		$(TOPDIR)/libxfs/darwin.c \
		$(TOPDIR)/libxfs/freebsd.c \
		$(TOPDIR)/libxfs/init.c \
		$(TOPDIR)/libxfs/irix.c \
		$(TOPDIR)/libxfs/linux.c \
		$(TOPDIR)/libxfs/rdwr.c \
		$(TOPDIR)/libxfs/trans.c \
		$(TOPDIR)/libxfs/util.c \
		$(TOPDIR)/libxlog/util.c \
		$(TOPDIR)/mkfs/proto.c \
		$(TOPDIR)/mkfs/xfs_mkfs.c \
		$(TOPDIR)/quota/edit.c \
		$(TOPDIR)/quota/free.c \
		$(TOPDIR)/quota/init.c \
		$(TOPDIR)/quota/path.c \
		$(TOPDIR)/quota/project.c \
		$(TOPDIR)/quota/quot.c \
		$(TOPDIR)/quota/quota.c \
		$(TOPDIR)/quota/report.c \
		$(TOPDIR)/quota/state.c \
		$(TOPDIR)/quota/util.c \
		$(TOPDIR)/repair/agheader.c \
		$(TOPDIR)/repair/attr_repair.c \
		$(TOPDIR)/repair/avl.c \
		$(TOPDIR)/repair/avl64.c \
		$(TOPDIR)/repair/bmap.c \
		$(TOPDIR)/repair/dino_chunks.c \
		$(TOPDIR)/repair/dinode.c \
		$(TOPDIR)/repair/dir.c \
		$(TOPDIR)/repair/dir2.c \
		$(TOPDIR)/repair/dir_stack.c \
		$(TOPDIR)/repair/incore.c \
		$(TOPDIR)/repair/incore_ext.c \
		$(TOPDIR)/repair/incore_ino.c \
		$(TOPDIR)/repair/init.c \
		$(TOPDIR)/repair/io.c \
		$(TOPDIR)/repair/phase1.c \
		$(TOPDIR)/repair/phase2.c \
		$(TOPDIR)/repair/phase3.c \
		$(TOPDIR)/repair/phase4.c \
		$(TOPDIR)/repair/phase5.c \
		$(TOPDIR)/repair/phase6.c \
		$(TOPDIR)/repair/phase7.c \
		$(TOPDIR)/repair/rt.c \
		$(TOPDIR)/repair/sb.c \
		$(TOPDIR)/repair/scan.c \
		$(TOPDIR)/repair/versions.c \
		$(TOPDIR)/repair/xfs_repair.c \
		$(TOPDIR)/rtcp/xfs_rtcp.c

default: $(POTHEAD) $(LINGUAS:%=%.mo)

include $(BUILDRULES)

install: default
	$(INSTALL_LINGUAS)

install-dev install-lib:

=== quota/Makefile ===
#
# Copyright (c) 2005 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_quota
HFILES = init.h quota.h
CFILES = init.c util.c \
	edit.c free.c path.c project.c quot.c quota.c report.c state.c

CFILES += $(PKG_PLATFORM).c
PCFILES = darwin.c freebsd.c irix.c linux.c
LSRCFILES = $(shell echo $(PCFILES) | sed -e "s/$(PKG_PLATFORM).c//g")

LLDLIBS = $(LIBXCMD)
LTDEPENDENCIES = $(LIBXCMD)
LLDFLAGS = -static

ifeq ($(ENABLE_READLINE),yes)
LLDLIBS += $(LIBREADLINE) $(LIBTERMCAP)
CFLAGS += -DENABLE_READLINE
endif

ifeq ($(ENABLE_EDITLINE),yes)
LLDLIBS += $(LIBEDITLINE) $(LIBTERMCAP)
CFLAGS += -DENABLE_EDITLINE
endif

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev:

=== repair/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_repair

HFILES = agheader.h attr_repair.h avl.h avl64.h bmap.h dinode.h dir.h \
	dir2.h dir_stack.h err_protos.h globals.h incore.h protos.h rt.h \
	scan.h versions.h prefetch.h

CFILES = agheader.c attr_repair.c avl.c avl64.c bmap.c dino_chunks.c \
	dinode.c dir.c dir2.c dir_stack.c globals.c incore.c \
	incore_bmc.c init.c incore_ext.c incore_ino.c io.c phase1.c \
	phase2.c phase3.c phase4.c phase5.c phase6.c phase7.c rt.c sb.c \
	prefetch.c scan.c versions.c xfs_repair.c

LLDLIBS = $(LIBXFS) $(LIBXLOG) $(LIBUUID) $(LIBPTHREAD) $(LIBRT)
LTDEPENDENCIES = $(LIBXFS) $(LIBXLOG)
LLDFLAGS = -static

default: $(LTCOMMAND)

globals.o: globals.h

include $(BUILDRULES)

#
# Tracing flags:
# -DXR_BMAP_DBG		incore block bitmap debugging
# -DXR_INODE_TRACE	inode processing
# -DXR_BMAP_TRACE	bmap btree processing
# -DXR_DIR_TRACE	directory processing
# -DXR_DUP_TRACE	duplicate extent processing
# -DXR_BCNT_TRACE	incore bcnt freespace btree building
# -DXR_BLD_FREE_TRACE	building on-disk freespace (bcnt/bno) btrees
# -DXR_BLD_INO_TRACE	building on-disk inode allocation btrees
# -DXR_BLD_ADD_EXTENT	track phase 5 block extent creation
# -DXR_BCKPTR_DBG	parent list debugging info
#
#CFLAGS += ...

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
install-dev:

=== build/tar/Makefile ===
#
# Copyright (c) 2000-2003 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ../..
include $(TOPDIR)/include/builddefs

BINTAR=$(PKG_NAME)-$(PKG_VERSION).tar.gz
LDIRT = *.gz

default install install-dev install-lib:

include $(BUILDRULES)

dist : default
	@HERE=`pwd`; cd $${DIST_ROOT:-/}; \
	$(SORT) -u $$HERE/../bin-manifest | $(AWK) ' \
		$$1 == "f" { printf (".%s\n", $$6); } \
		$$1 == "d" { next; } \
		$$1 == "l" { printf (".%s\n", $$3); }' \
	| $(TAR) -T - -cf - | $(ZIP) --best > $$HERE/$(BINTAR)
	@echo Wrote: `pwd`/$(BINTAR)

=== debian/changelog ===
xfsprogs (2.8.10-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Wed, 02 Aug 2006 11:17:07 +1000

xfsprogs (2.8.4-1) unstable; urgency=low

  * New upstream release.
  * Improved udeb packaging, thanks to Frans Pop (closes: #375439)
  * Fix filesystem-from-path detection logic (closes: #374687)

 -- Nathan Scott <nathans@debian.org>  Mon, 26 Jun 2006 10:04:18 +1000

xfsprogs (2.8.3-1) unstable; urgency=low

  * New upstream release.
  * Fix segv in xfs_growfs command (closes: #374686)
  * Ensure source tarball in correct location (closes: #374696)

 -- Nathan Scott <nathans@debian.org>  Wed, 21 Jun 2006 15:19:56 +1000

xfsprogs (2.7.16-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Wed, 05 Apr 2006 11:45:58 +1000

xfsprogs (2.7.14-1) unstable; urgency=low

  * New upstream release.
  * Switch from debmake to debhelper

 -- Nathan Scott <nathans@debian.org>  Wed, 15 Feb 2006 20:04:55 +1100

xfsprogs (2.7.12-1) unstable; urgency=low

  * New upstream release.
  * Includes polish translation from Jakub Bogusz.

 -- Nathan Scott <nathans@debian.org>  Tue, 31 Jan 2006 13:35:39 +1100

=== debian/control ===
Source: xfsprogs
Section: admin
Priority: optional
Maintainer: Nathan Scott <nathans@debian.org>
Build-Depends: uuid-dev, autoconf, debhelper (>= 5), gettext, libtool, libreadline5-dev
Standards-Version: 3.5.9

Package: xfsprogs
Depends: ${shlibs:Depends}
Provides: fsck-backend
Suggests: xfsdump, attr, dvhtool, quota
Conflicts: xfsdump (<< 2.0.0)
Architecture: any
Description: Utilities for managing the XFS filesystem
 A set of commands to use the XFS filesystem, including mkfs.xfs.
 .
 XFS is a high performance journaling filesystem which originated
 on the SGI IRIX platform.  It is completely multi-threaded, can
 support large files and large filesystems, extended attributes,
 variable block sizes, is extent based, and makes extensive use of
 Btrees (directories, extents, free space) to aid both performance
 and scalability.
 .
 Refer to the documentation at http://oss.sgi.com/projects/xfs/
 for complete details.  This implementation is on-disk compatible
 with the IRIX version of XFS.

Package: xfslibs-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, uuid-dev, xfsprogs (>= 2.0.0)
Conflicts: xfsprogs (<< 2.0.0)
Architecture: any
Description: XFS filesystem-specific static libraries and headers
 xfslibs-dev contains the libraries and header files needed to
 develop XFS filesystem-specific programs.

Package: xfsprogs-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Description: A stripped-down version of xfsprogs, for debian-installer
 This package is an xfsprogs package built for reduced size, so that it
 can help to save space in debian-installer.
 .
 Don't attempt to install this package, it has no support for a couple of
 features you surely want.  Anyway, it should fail to install.

=== debian/rules ===
#!/usr/bin/make -f

package = xfsprogs
develop = xfslibs-dev
bootpkg = xfsprogs-udeb

version = $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
target ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
udebpkg = $(bootpkg)_$(version)_$(target).udeb

dirme  = debian/$(package)
dirdev = debian/$(develop)
dirdi  = debian/$(bootpkg)
pkgme  = DIST_ROOT=`pwd`/$(dirme);  export DIST_ROOT;
pkgdev = DIST_ROOT=`pwd`/$(dirdev); export DIST_ROOT;
pkgdi  = DIST_ROOT=`pwd`/$(dirdi); export DIST_ROOT;
stdenv = @GZIP=-q; export GZIP;

options = export DEBUG=-DNDEBUG DISTRIBUTION=debian \
	  INSTALL_USER=root INSTALL_GROUP=root \
	  LOCAL_CONFIGURE_OPTIONS=--enable-readline=yes ;
diopts  = $(options) \
	  export OPTIMIZER=-Os LOCAL_CONFIGURE_OPTIONS="--enable-gettext=no" ;
checkdir = test -f debian/rules
checkver = rm -f debian/compat && echo 5 > debian/compat

build: built
built: dibuild config
	@echo "== dpkg-buildpackage: build" 1>&2
	$(MAKE) default
	touch built

config: .census
.census:
	@echo "== dpkg-buildpackage: configure" 1>&2
	$(checkdir)
	$(options) $(MAKE) configure
	touch .census

dibuild:
	$(checkdir)
	@echo "== dpkg-buildpackage: installer" 1>&2
	if [ ! -f mkfs/mkfs.xfs-$(bootpkg) ]; then \
		$(diopts) $(MAKE) configure; \
		for dir in include libxfs libdisk mkfs; do \
			$(MAKE) -C $$dir; \
		done; \
		mv mkfs/mkfs.xfs mkfs/mkfs.xfs-$(bootpkg); \
		$(MAKE) distclean; \
	fi

clean:
	@echo "== dpkg-buildpackage: clean" 1>&2
	$(checkdir)
	-rm -f built .census mkfs/mkfs.xfs-$(bootpkg)
	$(MAKE) distclean
	-rm -rf $(dirme) $(dirdev) $(dirdi)
	-rm -f debian/*substvars debian/files* debian/*.debhelper debian/compat

binary-indep:

binary-arch: checkroot built
	@echo "== dpkg-buildpackage: binary-arch" 1>&2
	$(checkdir)
	$(checkver)
	-rm -rf $(dirme) $(dirdev) $(dirdi)
	$(pkgme)  $(MAKE) -C . install
	$(pkgdev) $(MAKE) -C . install-dev
	$(pkgdi)  $(MAKE) -C debian install-d-i
	$(pkgme)  $(MAKE) -C build src-manifest

	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

checkroot:
	test 0 -eq `id -u`

.PHONY: binary binary-arch binary-indep clean checkroot

## xfsprogs 2.8.11-1

=== repair/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 CFILES = agheader.c attr_repair.c avl.c avl64.c bmap.c dino_chunks.c \
 	dinode.c dir.c dir2.c dir_stack.c globals.c incore.c \
-	incore_bmc.c init.c incore_ext.c incore_ino.c io.c phase1.c \
+	incore_bmc.c init.c incore_ext.c incore_ino.c phase1.c \
 	phase2.c phase3.c phase4.c phase5.c phase6.c phase7.c rt.c sb.c \
 	prefetch.c scan.c versions.c xfs_repair.c

=== debian/changelog ===
xfsprogs (2.8.11-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Tue, 08 Aug 2006 17:06:58 +1000

## xfsprogs 2.8.16-1

=== Makefile ===
#
# Copyright (c) 2000-2006 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = .
HAVE_BUILDDEFS = $(shell test -f $(TOPDIR)/include/builddefs && echo yes || echo no)

ifeq ($(HAVE_BUILDDEFS), yes)
include $(TOPDIR)/include/builddefs
endif

CONFIGURE = configure include/builddefs include/platform_defs.h
LSRCFILES = configure configure.in Makepkgs aclocal.m4 install-sh README VERSION

LDIRT = config.log .dep config.status config.cache confdefs.h conftest* \
	Logs/* built .census install.* install-dev.* *.gz

SUBDIRS = include libxfs libxlog libxcmd libhandle libdisk \
	copy db fsck growfs io logprint mkfs quota repair rtcp \
	m4 man doc po debian build

default: $(CONFIGURE)
ifeq ($(HAVE_BUILDDEFS), no)
	$(MAKE) -C . $@
else
	$(SUBDIRS_MAKERULE)
endif

ifeq ($(HAVE_BUILDDEFS), yes)
include $(BUILDRULES)
else
clean:	# if configure hasn't run, nothing to clean
endif

$(CONFIGURE):
	autoconf
	./configure \
		--prefix=/ \
		--exec-prefix=/ \
		--sbindir=/sbin \
		--bindir=/usr/sbin \
		--libdir=/lib \
		--libexecdir=/usr/lib \
		--enable-lib64=yes \
		--includedir=/usr/include \
		--mandir=/usr/share/man \
		--datadir=/usr/share \
		$$LOCAL_CONFIGURE_OPTIONS
	touch .census

aclocal.m4::
	aclocal --acdir=`pwd`/m4 --output=$@

install: default
	$(SUBDIRS_MAKERULE)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 README $(PKG_DOC_DIR)

install-dev: default
	$(SUBDIRS_MAKERULE)

realclean distclean: clean
	rm -f $(LDIRT) $(CONFIGURE)
	rm -rf autom4te.cache Logs

=== copy/Makefile ===
#
# Copyright (c) 2000-2003 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_copy
CFILES = xfs_copy.c
HFILES = xfs_copy.h

LLDLIBS = $(LIBXFS) $(LIBUUID) $(LIBPTHREAD) $(LIBRT)
LTDEPENDENCIES = $(LIBXFS)
LLDFLAGS = -static

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev:

=== doc/Makefile ===
#
# Copyright (c) 2000-2001,2005 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = INSTALL PORTING CHANGES COPYING CREDITS
LDIRT = *.gz

default: CHANGES.gz

include $(BUILDRULES)

CHANGES.gz:
	$(ZIP) --best -c < CHANGES > $@

install: default
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 PORTING CHANGES.gz CREDITS $(PKG_DOC_DIR)
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -S CHANGES.gz $(PKG_DOC_DIR)/changelog.gz
else
	$(INSTALL) -m 644 COPYING $(PKG_DOC_DIR)
endif

install-dev:

=== man/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

SUBDIRS = man3 man5 man8

default install install-dev : $(SUBDIRS)
	$(SUBDIRS_MAKERULE)

include $(BUILDRULES)

=== mkfs/Makefile ===
#
# Copyright (c) 2000-2004 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = mkfs.xfs
FSTYP = fstyp

HFILES = xfs_mkfs.h
CFILES = maxtrres.c proto.c xfs_mkfs.c 

LLDLIBS = $(LIBXFS) $(LIBUUID) $(LIBDISK) $(LIBRT)
LTDEPENDENCIES = $(LIBXFS) $(LIBDISK)
LLDFLAGS = -static

LSRCFILES = $(FSTYP).c
LDIRT = $(FSTYP)

default: $(FSTYP) $(LTCOMMAND)

include $(BUILDRULES)

$(FSTYP):
	$(LTLINK) $@.c -o $@ $(CFLAGS) $(LDFLAGS) $(LIBDISK) $(PLDLIBS)

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
install-dev:

=== debian/changelog ===
xfsprogs (2.8.12-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Tue, 29 Aug 2006 14:28:05 +1000

## xfsprogs 2.8.18-1

=== debian/Makefile ===
#
# Copyright (c) 2000-2004 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = changelog control copyright rules
DEV_DOC_DIR = $(PKG_DOC_DIR)/../xfslibs-dev
BOOT_MKFS_BIN = $(TOPDIR)/mkfs/mkfs.xfs-xfsprogs-udeb

default:

include $(BUILDRULES)

install: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 changelog $(PKG_DOC_DIR)/changelog.Debian
endif

install-dev: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 755 -d $(DEV_DOC_DIR)
	$(INSTALL) -m 644 copyright $(DEV_DOC_DIR)
	$(INSTALL) -m 644 changelog $(DEV_DOC_DIR)/changelog.Debian
endif

install-d-i: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(INSTALL) -m 755 $(BOOT_MKFS_BIN) $(PKG_SBIN_DIR)/mkfs.xfs
endif

=== m4/Makefile ===
#
# Copyright (c) 2003-2006 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = \
	manual_format.m4 \
	package_aiodev.m4 \
	package_globals.m4 \
	package_libcdev.m4 \
	package_pthread.m4 \
	package_types.m4 \
	package_utilies.m4 \
	package_uuiddev.m4 \
	multilib.m4

default:

include $(BUILDRULES)

install install-dev install-lib: default

=== po/Makefile ===
--- 
+++ 
@@ -85,7 +85,6 @@
 		$(TOPDIR)/repair/incore_ext.c \
 		$(TOPDIR)/repair/incore_ino.c \
 		$(TOPDIR)/repair/init.c \
-		$(TOPDIR)/repair/io.c \
 		$(TOPDIR)/repair/phase1.c \
 		$(TOPDIR)/repair/phase2.c \
 		$(TOPDIR)/repair/phase3.c \

=== repair/Makefile ===
--- 
+++ 
@@ -9,13 +9,13 @@
 
 HFILES = agheader.h attr_repair.h avl.h avl64.h bmap.h dinode.h dir.h \
 	dir2.h dir_stack.h err_protos.h globals.h incore.h protos.h rt.h \
-	scan.h versions.h prefetch.h
+	progress.h scan.h versions.h prefetch.h threads.h
 
 CFILES = agheader.c attr_repair.c avl.c avl64.c bmap.c dino_chunks.c \
 	dinode.c dir.c dir2.c dir_stack.c globals.c incore.c \
 	incore_bmc.c init.c incore_ext.c incore_ino.c phase1.c \
 	phase2.c phase3.c phase4.c phase5.c phase6.c phase7.c rt.c sb.c \
-	prefetch.c scan.c versions.c xfs_repair.c
+	progress.c prefetch.c scan.c versions.c xfs_repair.c threads.c
 
 LLDLIBS = $(LIBXFS) $(LIBXLOG) $(LIBUUID) $(LIBPTHREAD) $(LIBRT)
 LTDEPENDENCIES = $(LIBXFS) $(LIBXLOG)

=== man/man5/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ../..
include $(TOPDIR)/include/builddefs

MAN_SECTION	= 5

MAN_PAGES	= $(shell echo *.$(MAN_SECTION))
MAN_DEST	= $(PKG_MAN_DIR)/man$(MAN_SECTION)
LSRCFILES	= $(MAN_PAGES)

default : $(MAN_PAGES)

include $(BUILDRULES)

install : default
	$(INSTALL) -m 755 -d $(MAN_DEST)
	$(INSTALL_MAN)
install-dev :

=== debian/changelog ===
xfsprogs (2.8.18-1) unstable; urgency=low

  * New upstream release (closes: #399888)

 -- Nathan Scott <nathans@debian.org>  Fri, 08 Dec 2006 08:30:29 +1100

## xfsprogs 2.8.18-1build1

=== debian/changelog ===
xfsprogs (2.8.18-1build1) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 01:28:08 +0000

## xfsprogs 2.8.21-1

=== debian/changelog ===
xfsprogs (2.8.20-1) unstable; urgency=low

  * New upstream release (closes: #414079)
  * Fixed up autoconf version dependency (closes: #414073)

 -- Nathan Scott <nathans@debian.org>  Fri, 16 Mar 2007 08:24:33 +1100

xfsprogs (2.8.19-1) unstable; urgency=low

  * New upstream release (closes: #409063)

 -- Nathan Scott <nathans@debian.org>  Wed, 31 Jan 2007 08:53:32 +1100

## xfsprogs 2.9.0-1

=== db/Makefile ===
--- 
+++ 
@@ -11,11 +11,11 @@
 	bmapbt.h bmroot.h bnobt.h check.h cntbt.h command.h convert.h \
 	dbread.h debug.h dir.h dir2.h dir2sf.h dirshort.h dquot.h echo.h \
 	faddr.h field.h flist.h fprint.h frag.h freesp.h hash.h help.h \
-	init.h inobt.h inode.h input.h io.h malloc.h output.h \
+	init.h inobt.h inode.h input.h io.h malloc.h metadump.h output.h \
 	print.h quit.h sb.h sig.h strvec.h text.h type.h write.h \
 	attrset.h
 CFILES = $(HFILES:.h=.c)
-LSRCFILES = xfs_admin.sh xfs_check.sh xfs_ncheck.sh
+LSRCFILES = xfs_admin.sh xfs_check.sh xfs_ncheck.sh xfs_metadump.sh
 LLDLIBS	= $(LIBXFS) $(LIBXLOG) $(LIBUUID) $(LIBRT)
 LTDEPENDENCIES = $(LIBXFS) $(LIBXLOG)
 LLDFLAGS += -static
@@ -40,4 +40,5 @@
 	$(INSTALL) -m 755 xfs_admin.sh $(PKG_BIN_DIR)/xfs_admin
 	$(INSTALL) -m 755 xfs_check.sh $(PKG_BIN_DIR)/xfs_check
 	$(INSTALL) -m 755 xfs_ncheck.sh $(PKG_BIN_DIR)/xfs_ncheck
+	$(INSTALL) -m 755 xfs_metadump.sh $(PKG_BIN_DIR)/xfs_metadump
 install-dev:

=== mdrestore/Makefile ===
#
# Copyright (c) 2007 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_mdrestore
CFILES = xfs_mdrestore.c

LLDLIBS = $(LIBXFS) $(LIBRT)
LTDEPENDENCIES = $(LIBXFS)
LLDFLAGS = -static

default: $(LTCOMMAND)

include $(BUILDRULES)

install:
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev:

## xfsprogs 2.9.4

=== db/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	attrset.h
 CFILES = $(HFILES:.h=.c)
 LSRCFILES = xfs_admin.sh xfs_check.sh xfs_ncheck.sh xfs_metadump.sh
-LLDLIBS	= $(LIBXFS) $(LIBXLOG) $(LIBUUID) $(LIBRT)
+LLDLIBS	= $(LIBXFS) $(LIBXLOG) $(LIBUUID) $(LIBRT) $(LIBPTHREAD)
 LTDEPENDENCIES = $(LIBXFS) $(LIBXLOG)
 LLDFLAGS += -static

=== io/Makefile ===
#
# Copyright (c) 2000-2005 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_io
LSRCFILES = xfs_bmap.sh xfs_freeze.sh xfs_mkfile.sh
HFILES = init.h io.h
CFILES = init.c \
	attr.c bmap.c file.c freeze.c fsync.c getrusage.c imap.c mmap.c \
	open.c parent.c pread.c prealloc.c pwrite.c shutdown.c truncate.c

LLDLIBS = $(LIBXCMD) $(LIBHANDLE)
LTDEPENDENCIES = $(LIBXCMD) $(LIBHANDLE)
LLDFLAGS = -static

ifeq ($(HAVE_FADVISE),yes)
CFILES += fadvise.c
LCFLAGS += -DHAVE_FADVISE
else
LSRCFILES += fadvise.c
endif

ifeq ($(HAVE_MADVISE),yes)
CFILES += madvise.c
LCFLAGS += -DHAVE_MADVISE
else
LSRCFILES += madvise.c
endif

ifeq ($(HAVE_MINCORE),yes)
CFILES += mincore.c
LCFLAGS += -DHAVE_MINCORE
else
LSRCFILES += mincore.c
endif

ifeq ($(HAVE_SENDFILE),yes)
CFILES += sendfile.c
LCFLAGS += -DHAVE_SENDFILE
else
LSRCFILES += sendfile.c
endif

ifeq ($(PKG_PLATFORM),irix)
LSRCFILES += inject.c resblks.c
else
CFILES += inject.c resblks.c
LCFLAGS += -DHAVE_INJECT -DHAVE_RESBLKS
endif

ifeq ($(ENABLE_READLINE),yes)
LLDLIBS += $(LIBREADLINE) $(LIBTERMCAP)
endif

ifeq ($(ENABLE_EDITLINE),yes)
LLDLIBS += $(LIBEDITLINE) $(LIBTERMCAP)
endif

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 xfs_bmap.sh $(PKG_BIN_DIR)/xfs_bmap
	$(LTINSTALL) -m 755 xfs_freeze.sh $(PKG_BIN_DIR)/xfs_freeze
	$(LTINSTALL) -m 755 xfs_mkfile.sh $(PKG_BIN_DIR)/xfs_mkfile
install-dev:

=== libdisk/Makefile ===
#
# Copyright (c) 2000-2001,2004 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libdisk.la
LT_CURRENT = 0
LT_REVISION = 0
LT_AGE = 0

CFILES = drivers.c fstype.c pttype.c
HFILES = drivers.h fstype.h pttype.h md.h xvm.h evms.h
LINUX_DRIVERS = dm.c md.c xvm.c evms.c lvm.c

ifeq ($(PKG_PLATFORM),linux)
CFILES += $(LINUX_DRIVERS)
else
LSRCFILES = $(LINUX_DRIVERS)
endif

default: $(LTLIBRARY)

include $(BUILDRULES)

install: default

install-dev: default
	$(INSTALL_LTLIB_STATIC)

=== libhandle/Makefile ===
#
# Copyright (c) 2000-2004 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libhandle.la
LT_CURRENT = 1
LT_REVISION = 3
LT_AGE = 0

CFILES = handle.c jdm.c

default:  $(LTLIBRARY)

include $(BUILDRULES)

install: default
	$(INSTALL_LTLIB)

install-dev: default
	$(INSTALL_LTLIB_DEV)

=== libxcmd/Makefile ===
#
# Copyright (c) 2005 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libxcmd.la
LT_CURRENT = 0
LT_REVISION = 0
LT_AGE = 0

CFILES = command.c input.c paths.c projects.c help.c quit.c

ifeq ($(HAVE_GETMNTENT),yes)
LCFLAGS += -DHAVE_GETMNTENT
endif

ifeq ($(HAVE_GETMNTINFO),yes)
LCFLAGS += -DHAVE_GETMNTINFO
endif

default: $(LTLIBRARY)

include $(BUILDRULES)

install: default

install-dev: default
	$(INSTALL_LTLIB_STATIC)

=== libxlog/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libxlog.la
LT_CURRENT = 0
LT_REVISION = 0
LT_AGE = 0

CFILES = xfs_log_recover.c util.c

# don't want to link xfs_repair with a debug libxlog.
DEBUG = -DNDEBUG

default:  $(LTLIBRARY)

include $(BUILDRULES)

install: default

install-dev: default
	$(INSTALL_LTLIB_STATIC)

=== mdrestore/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 LTCOMMAND = xfs_mdrestore
 CFILES = xfs_mdrestore.c
 
-LLDLIBS = $(LIBXFS) $(LIBRT)
+LLDLIBS = $(LIBXFS) $(LIBRT) $(LIBPTHREAD)
 LTDEPENDENCIES = $(LIBXFS)
 LLDFLAGS = -static

## xfsprogs 2.9.7-1

=== libxfs/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 LT_AGE = 0
 
 HFILES = xfs.h init.h
-CFILES = bit.c cache.c init.c lio.c logitem.c rdwr.c trans.c util.c \
+CFILES = bit.c cache.c init.c logitem.c rdwr.c trans.c util.c \
 	xfs_alloc.c xfs_ialloc.c xfs_rtalloc.c \
 	xfs_inode.c xfs_btree.c xfs_alloc_btree.c xfs_ialloc_btree.c \
 	xfs_bmap_btree.c xfs_da_btree.c xfs_dir.c xfs_dir_leaf.c \

=== logprint/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	 log_copy.c log_dump.c log_misc.c \
 	 log_print_all.c log_print_trans.c
 
-LLDLIBS	= $(LIBXFS) $(LIBXLOG) $(LIBUUID) $(LIBRT)
+LLDLIBS	= $(LIBXFS) $(LIBXLOG) $(LIBUUID) $(LIBRT) $(LIBPTHREAD)
 LTDEPENDENCIES = $(LIBXFS) $(LIBXLOG)
 LLDFLAGS = -static

=== po/Makefile ===
--- 
+++ 
@@ -80,7 +80,6 @@
 		$(TOPDIR)/repair/dinode.c \
 		$(TOPDIR)/repair/dir.c \
 		$(TOPDIR)/repair/dir2.c \
-		$(TOPDIR)/repair/dir_stack.c \
 		$(TOPDIR)/repair/incore.c \
 		$(TOPDIR)/repair/incore_ext.c \
 		$(TOPDIR)/repair/incore_ino.c \
@@ -92,9 +91,12 @@
 		$(TOPDIR)/repair/phase5.c \
 		$(TOPDIR)/repair/phase6.c \
 		$(TOPDIR)/repair/phase7.c \
+		$(TOPDIR)/repair/prefetch.c \
+		$(TOPDIR)/repair/progress.c \
 		$(TOPDIR)/repair/rt.c \
 		$(TOPDIR)/repair/sb.c \
 		$(TOPDIR)/repair/scan.c \
+		$(TOPDIR)/repair/threads.c \
 		$(TOPDIR)/repair/versions.c \
 		$(TOPDIR)/repair/xfs_repair.c \
 		$(TOPDIR)/rtcp/xfs_rtcp.c

=== repair/Makefile ===
--- 
+++ 
@@ -8,16 +8,17 @@
 LTCOMMAND = xfs_repair
 
 HFILES = agheader.h attr_repair.h avl.h avl64.h bmap.h dinode.h dir.h \
-	dir2.h dir_stack.h err_protos.h globals.h incore.h protos.h rt.h \
-	progress.h scan.h versions.h prefetch.h threads.h
+	dir2.h err_protos.h globals.h incore.h protos.h rt.h \
+	progress.h scan.h versions.h prefetch.h radix-tree.h threads.h
 
 CFILES = agheader.c attr_repair.c avl.c avl64.c bmap.c dino_chunks.c \
-	dinode.c dir.c dir2.c dir_stack.c globals.c incore.c \
+	dinode.c dir.c dir2.c globals.c incore.c \
 	incore_bmc.c init.c incore_ext.c incore_ino.c phase1.c \
-	phase2.c phase3.c phase4.c phase5.c phase6.c phase7.c rt.c sb.c \
-	progress.c prefetch.c scan.c versions.c xfs_repair.c threads.c
+	phase2.c phase3.c phase4.c phase5.c phase6.c phase7.c \
+	progress.c prefetch.c radix-tree.c rt.c sb.c scan.c threads.c \
+	versions.c xfs_repair.c
 
-LLDLIBS = $(LIBXFS) $(LIBXLOG) $(LIBUUID) $(LIBPTHREAD) $(LIBRT)
+LLDLIBS = $(LIBXFS) $(LIBXLOG) $(LIBUUID) $(LIBRT) $(LIBPTHREAD)
 LTDEPENDENCIES = $(LIBXFS) $(LIBXLOG)
 LLDFLAGS = -static
 
@@ -39,6 +40,7 @@
 # -DXR_BLD_INO_TRACE	building on-disk inode allocation btrees
 # -DXR_BLD_ADD_EXTENT	track phase 5 block extent creation
 # -DXR_BCKPTR_DBG	parent list debugging info
+# -DXR_PF_TRACE		prefetch trace
 #
 #CFLAGS += ...

=== debian/changelog ===
xfsprogs (2.9.7-1) unstable; urgency=high

  * New upstream release.
  * Add -y fsck option (closes: #463810)
  * Lazy superblock counters not yet mkfs default (closes: #465737, #468184)
  * xfs_repair memory requirements significantly reduced (closes: #289665)

 -- Nathan Scott <nathans@debian.org>  Sat, 01 Mar 2008 06:24:21 +1100

xfsprogs (2.9.5-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Tue, 22 Jan 2008 16:46:18 +1100

xfsprogs (2.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Tue, 12 Jun 2007 07:22:21 +1000

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Nathan Scott <nathans@debian.org>
+Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Niv Sardi <xaiki@debian.org>
 Build-Depends: uuid-dev, autoconf, debhelper (>= 5), gettext, libtool, libreadline5-dev
 Standards-Version: 3.5.9

## xfsprogs 2.10.1-1

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	Logs/* built .census install.* install-dev.* *.gz
 
 SUBDIRS = include libxfs libxlog libxcmd libhandle libdisk \
-	copy db fsck growfs io logprint mkfs quota repair rtcp \
+	copy db fsck growfs io logprint mkfs quota mdrestore repair rtcp \
 	m4 man doc po debian build
 
 default: $(CONFIGURE)

=== debian/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 TOPDIR = ..
 include $(TOPDIR)/include/builddefs
 
-LSRCFILES = changelog control copyright rules
+LSRCFILES = changelog compat control copyright rules watch
 DEV_DOC_DIR = $(PKG_DOC_DIR)/../xfslibs-dev
 BOOT_MKFS_BIN = $(TOPDIR)/mkfs/mkfs.xfs-xfsprogs-udeb

=== include/Makefile ===
--- 
+++ 
@@ -26,8 +26,9 @@
 	xfs_dir2_node.h xfs_dir2_sf.h xfs_dir_leaf.h xfs_dir_sf.h \
 	xfs_extfree_item.h xfs_fs.h xfs_ialloc.h xfs_ialloc_btree.h \
 	xfs_imap.h xfs_inode.h xfs_inode_item.h xfs_inum.h \
-	xfs_log.h xfs_log_priv.h xfs_log_recover.h xfs_mount.h xfs_quota.h \
-	xfs_rtalloc.h xfs_sb.h xfs_trans.h xfs_trans_space.h xfs_types.h
+	xfs_log.h xfs_log_priv.h xfs_log_recover.h xfs_metadump.h \
+	xfs_mount.h xfs_quota.h xfs_rtalloc.h xfs_sb.h \
+	xfs_trans.h xfs_trans_space.h xfs_types.h
 
 HFILES += $(PKG_PLATFORM).h swab.h
 PHFILES = darwin.h freebsd.h irix.h linux.h

=== debian/changelog ===
xfsprogs (2.9.10-1) unstable; urgency=low

  * New upstream release

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 05 Sep 2008 14:02:20 +1000

xfsprogs (2.9.8-1) unstable; urgency=low

  * New upstream release
  * xfsprogs and xfsprogs-udeb depend on ${misc:Depends}
  * Add Homepage control header
  * Add watch file
  * Fix the following lintian issues:
    W: xfsprogs source: package-uses-deprecated-debhelper-compat-version 1
    W: xfsprogs source: ancient-standards-version 3.5.9 (current is 3.7.3)
    W: xfslibs-dev: package-contains-empty-directory usr/share/doc/xfsprogs/

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 22 Apr 2008 13:04:05 +1000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Nathan Scott <nathans@debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Niv Sardi <xaiki@debian.org>
 Build-Depends: uuid-dev, autoconf, debhelper (>= 5), gettext, libtool, libreadline5-dev
-Standards-Version: 3.5.9
+Standards-Version: 3.7.3
+Homepage: http://oss.sgi.com/projects/xfs/
 
 Package: xfsprogs
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: fsck-backend
 Suggests: xfsdump, attr, dvhtool, quota
 Conflicts: xfsdump (<< 2.0.0)
@@ -41,7 +42,7 @@
 Section: debian-installer
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: A stripped-down version of xfsprogs, for debian-installer
  This package is an xfsprogs package built for reduced size, so that it
  can help to save space in debian-installer.

=== debian/watch ===
version=3
ftp://oss.sgi.com/projects/xfs/cmd_tars/ xfsprogs_([\d]+[\d\.]*)-[\d].tar.gz

## xfsprogs 2.10.2-1

=== debian/changelog ===
xfsprogs (2.10.2-1) unstable; urgency=low

  * New upstream release
  * No longer ignore -i maxpct option in mkfs.xfs (closes: #500593)
  * Correct features2 superblock field handling (closes: #473135)
  * 32 bit emulation on 64 bit kernels works (closes: #485020)
  * Fix up large sector handling in mkfs (closes: #489421)

 -- Nathan Scott <nathans@debian.org>  Sat, 20 Dec 2008 10:14:27 +1100

## xfsprogs 3.0.2

=== debian/changelog ===
xfsprogs (3.0.2) unstable; urgency=low

  * New bugfix release

 -- Nathan Scott <nathans@debian.org>  Wed, 06 May 2009 11:29:18 +1000

xfsprogs (3.0.0-1) unstable; urgency=low

  * New upstream release (closes: #263170)
  * Remove watch file, xfsprogs is native
  * Updated dependencies as this requires xfsdump 3 also

 -- Nathan Scott <nathans@debian.org>  Wed, 28 Jan 2009 21:15:07 +1100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: admin
 Priority: optional
 Maintainer: Nathan Scott <nathans@debian.org>
-Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Niv Sardi <xaiki@debian.org>
+Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: uuid-dev, autoconf, debhelper (>= 5), gettext, libtool, libreadline5-dev
-Standards-Version: 3.7.3
+Standards-Version: 3.8.1
 Homepage: http://oss.sgi.com/projects/xfs/
 
 Package: xfsprogs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: fsck-backend
-Suggests: xfsdump, attr, dvhtool, quota
-Conflicts: xfsdump (<< 2.0.0)
+Suggests: xfsdump, acl, attr, quota
+Conflicts: xfsdump (<< 3.0.0)
 Architecture: any
 Description: Utilities for managing the XFS filesystem
  A set of commands to use the XFS filesystem, including mkfs.xfs.
@@ -24,23 +24,30 @@
  and scalability.
  .
  Refer to the documentation at http://oss.sgi.com/projects/xfs/
- for complete details.  This implementation is on-disk compatible
- with the IRIX version of XFS.
+ for complete details.
 
 Package: xfslibs-dev
 Section: libdevel
-Priority: extra
-Depends: libc6-dev | libc-dev, uuid-dev, xfsprogs (>= 2.0.0)
-Conflicts: xfsprogs (<< 2.0.0)
+Depends: libc6-dev | libc-dev, uuid-dev, xfsprogs (>= 3.0.0)
+Conflicts: xfsprogs (<< 3.0.0)
 Architecture: any
 Description: XFS filesystem-specific static libraries and headers
  xfslibs-dev contains the libraries and header files needed to
  develop XFS filesystem-specific programs.
+ .
+ XFS is a high performance journaling filesystem which originated
+ on the SGI IRIX platform.  It is completely multi-threaded, can
+ support large files and large filesystems, extended attributes,
+ variable block sizes, is extent based, and makes extensive use of
+ Btrees (directories, extents, free space) to aid both performance
+ and scalability.
+ .
+ Refer to the documentation at http://oss.sgi.com/projects/xfs/
+ for complete details.
 
 Package: xfsprogs-udeb
 XC-Package-Type: udeb
 Section: debian-installer
-Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: A stripped-down version of xfsprogs, for debian-installer

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_VERBOSE=1
 
 package = xfsprogs
 develop = xfslibs-dev
@@ -22,7 +24,6 @@
 diopts  = $(options) \
 	  export OPTIMIZER=-Os LOCAL_CONFIGURE_OPTIONS="--enable-gettext=no" ;
 checkdir = test -f debian/rules
-checkver = rm -f debian/compat && echo 5 > debian/compat
 
 build: built
 built: dibuild config
@@ -34,14 +35,14 @@
 .census:
 	@echo "== dpkg-buildpackage: configure" 1>&2
 	$(checkdir)
-	$(options) $(MAKE) configure
+	$(options) $(MAKE) include/platform_defs.h
 	touch .census
 
 dibuild:
 	$(checkdir)
 	@echo "== dpkg-buildpackage: installer" 1>&2
 	if [ ! -f mkfs/mkfs.xfs-$(bootpkg) ]; then \
-		$(diopts) $(MAKE) configure; \
+		$(diopts) $(MAKE) include/platform_defs.h; \
 		for dir in include libxfs libdisk mkfs; do \
 			$(MAKE) -C $$dir; \
 		done; \
@@ -55,20 +56,19 @@
 	-rm -f built .census mkfs/mkfs.xfs-$(bootpkg)
 	$(MAKE) distclean
 	-rm -rf $(dirme) $(dirdev) $(dirdi)
-	-rm -f debian/*substvars debian/files* debian/*.debhelper debian/compat
+	-rm -f debian/*substvars debian/files* debian/*.debhelper
 
 binary-indep:
 
 binary-arch: checkroot built
 	@echo "== dpkg-buildpackage: binary-arch" 1>&2
 	$(checkdir)
-	$(checkver)
 	-rm -rf $(dirme) $(dirdev) $(dirdi)
 	$(pkgme)  $(MAKE) -C . install
 	$(pkgdev) $(MAKE) -C . install-dev
 	$(pkgdi)  $(MAKE) -C debian install-d-i
 	$(pkgme)  $(MAKE) -C build src-manifest
-
+	rmdir debian/xfslibs-dev/usr/share/doc/xfsprogs
 	dh_installdocs
 	dh_installchangelogs
 	dh_strip
